package com.lantone.qc.kernel.catalogue.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DeathRecordDoc;
import com.lantone.qc.pub.model.doc.LeaveHospitalDoc;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @Description: 出院记录内容缺出院带药
 * @author: Mark
 * @time: 2020/04/05 14:40
 */
@Component
public class LEA0559 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        LeaveHospitalDoc leaveHospitalDoc = inputInfo.getLeaveHospitalDoc();
        if (leaveHospitalDoc == null) {
            return;
        }
        DeathRecordDoc deathRecordDoc = inputInfo.getDeathRecordDoc();
        if (deathRecordDoc == null || deathRecordDoc.getText() == null) {
            Map<String, String> structureMap = leaveHospitalDoc.getStructureMap();
            if (structureMap != null) {
                String dischargeWithMedicine = structureMap.get("出院带药");
                String dischargeOrder = structureMap.get("出院医嘱");
                if (StringUtils.isBlank(dischargeWithMedicine) && StringUtils.isBlank(dischargeOrder)) {
                    status.set("-1");
                }
            }
        }
    }
}